Bug 1101569 - (CVE-2018-14360) VUL-0: CVE-2018-14360: neomutt: nntp_add_group in newsrc.c has a stack-based buffer overflow because of incorrect sscanf usage.
(CVE-2018-14360)
VUL-0: CVE-2018-14360: neomutt: nntp_add_group in newsrc.c has a stack-based ...
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Security
Leap 15.0
Other Other
: P3 - Medium : Normal (vote)
: ---
Assigned To: David Sterba
Security Team bot
https://smash.suse.de/issue/210791/
:
Depends on:
Blocks: 1101428
  Show dependency treegraph
 
Reported: 2018-07-18 07:09 UTC by Karol Babioch
Modified: 2019-10-29 16:33 UTC (History)
0 users

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Karol Babioch 2018-07-18 07:09:18 UTC
CVE-2018-14360

An issue was discovered in NeoMutt before 2018-07-16. nntp_add_group in newsrc.c
has a stack-based buffer overflow because of incorrect sscanf usage.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2018-14360
http://www.cvedetails.com/cve/CVE-2018-14360/
https://github.com/neomutt/neomutt/commit/6296f7153f0c9d5e5cd3aaf08f9731e56621bdd3
Comment 1 Swamp Workflow Management 2018-07-18 08:50:20 UTC
This is an autogenerated message for OBS integration:
This bug (1101569) was mentioned in
https://build.opensuse.org/request/show/623577 Factory / mutt
Comment 6 Swamp Workflow Management 2018-08-06 13:14:38 UTC
openSUSE-SU-2018:2212-1: An update that solves 16 vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1094717,1101428,1101566,1101567,1101568,1101569,1101570,1101571,1101573,1101576,1101577,1101578,1101581,1101582,1101583,1101588,1101589
CVE References: CVE-2014-9116,CVE-2018-14349,CVE-2018-14350,CVE-2018-14351,CVE-2018-14352,CVE-2018-14353,CVE-2018-14354,CVE-2018-14355,CVE-2018-14356,CVE-2018-14357,CVE-2018-14358,CVE-2018-14359,CVE-2018-14360,CVE-2018-14361,CVE-2018-14362,CVE-2018-14363
Sources used:
openSUSE Leap 15.0 (src):    mutt-1.10.1-lp150.2.3.1
Comment 7 Swamp Workflow Management 2019-01-07 15:40:52 UTC
This is an autogenerated message for OBS integration:
This bug (1101569) was mentioned in
https://build.opensuse.org/request/show/663361 42.3 / mutt
Comment 8 Swamp Workflow Management 2019-01-17 17:11:32 UTC
openSUSE-SU-2019:0052-1: An update that solves 16 vulnerabilities and has 6 fixes is now available.

Category: security (important)
Bug References: 1061343,1094717,1101428,1101566,1101567,1101568,1101569,1101570,1101571,1101573,1101576,1101577,1101578,1101581,1101582,1101583,1101588,1101589,1120935,980830,982129,986534
CVE References: CVE-2014-9116,CVE-2018-14349,CVE-2018-14350,CVE-2018-14351,CVE-2018-14352,CVE-2018-14353,CVE-2018-14354,CVE-2018-14355,CVE-2018-14356,CVE-2018-14357,CVE-2018-14358,CVE-2018-14359,CVE-2018-14360,CVE-2018-14361,CVE-2018-14362,CVE-2018-14363
Sources used:
openSUSE Leap 42.3 (src):    mutt-1.10.1-2.5.1
Comment 9 Swamp Workflow Management 2019-05-09 10:09:54 UTC
SUSE-SU-2019:1196-1: An update that solves 16 vulnerabilities and has 5 fixes is now available.

Category: security (important)
Bug References: 1061343,1094717,1101428,1101566,1101567,1101568,1101569,1101570,1101571,1101573,1101576,1101577,1101578,1101581,1101582,1101583,1101588,1101589,980830,982129,986534
CVE References: CVE-2014-9116,CVE-2018-14349,CVE-2018-14350,CVE-2018-14351,CVE-2018-14352,CVE-2018-14353,CVE-2018-14354,CVE-2018-14355,CVE-2018-14356,CVE-2018-14357,CVE-2018-14358,CVE-2018-14359,CVE-2018-14360,CVE-2018-14361,CVE-2018-14362,CVE-2018-14363
Sources used:
SUSE Linux Enterprise Server 12-SP3 (src):    mutt-1.10.1-55.6.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    mutt-1.10.1-55.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 10 Marcus Meissner 2019-10-29 16:33:54 UTC
done i think